Skip to content

Delete an agency slate entry

Opportunities module

DELETE/agency-slates/{id}agencySlates.delete

A named staff member on a staffing agency's slate. Soft-deletes the agency slate entry: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability me.work_details.write.
  • OAuth scopes: me.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

agencySlates.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the agency slate.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/agency-slates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.agencySlates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.agency_slates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos agency-slates delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f